NE_GET_REQUEST_TARGE(3)

NAME
ne_get_request_target - retrieve request target

SYNOPSIS

#include <ne_request.h>

const ne_uri *ne_get_request_target(ne_request *req);

DESCRIPTION

The ne_get_request_target returns the request target URI as a pointer to an ne_uri object. The "target resource" of a request is defined per Section 7.1 of RFC 9110[1] and is derived from the parameters used to create the request with ne_request_create(3) and the parameters used to create the session with ne_session_create(3).

RETURN VALUE

The ne_get_request_target function returns a ne_uri, or NULL if it was not possible to create the target URI. The latter can only occur if the path used to create the request object was not a valid URI path. Note that the path field of the returned object can be the empty string if the authority-form of the URI is used.

HISTORY

ne_get_request_target is available in neon 0.34.0 and later.

SEE ALSO

ne_request_create(3), ne_session_create(3).

COPYRIGHT
Copyright © 2001-2026 Joe Orton

REFERENCES

1.  Section 7.1 of RFC 9110
    https://www.rfc-editor.org/rfc/rfc9110.html#section-7.1